/**
* Overrides the font of all the FormControl input text in React-Bootstrap
**/
.form-control {
	font-family: var(--text-font-stack);
	font-size: 1rem;
	padding: 0.5rem;
	line-height: 1.5;
	border-color: var(--color-light-grey);
	border-bottom-color: var(--color-medium-dark-grey);
	box-shadow: none;
}

select.form-control {
	padding: 0.375rem 0.75rem;
}

/* MATERIAL UI STYLE OVERRIDES */

.MuiInputBase-input:invalid {
	border-color: var(--color-red);

	& ::after {
		border-color: var(--color-red);
	}
}

/* material labels and form fields */
.material-text-field-date,
.material-text-field-time {
	margin-top: 0.5rem;
	padding-bottom: 0.5rem;
	width: 100%;

	& hr {
		display: none;
	}

	& div {
		height: auto;
		width: auto;
		margin-top: 0;
	}

	& label {
		font-size: 0.75rem;
		font-weight: bold;
		color: var(--color-dark-grey);
		transform: none;
		position: static;
	}

	& input,
	& textarea {
		background-color: var(--color-white);
		border: 1px solid var(--color-light-grey);
		padding: 0.5rem;
		border-radius: 0.25rem;
		height: auto;
		line-height: 1;
		min-height: 1rem;
		min-width: 100px;
	}
}

/* ALIGN SEARCH BOXES ON MANAGE PAGES */
.date-align {
	& .MuiFormControl-root {
		vertical-align: unset;
	}

	& .MuiFormLabel-root,
	& .MuiInputBase-root {
		font-family: var(--text-font-stack);
		line-height: unset;
		letter-spacing: unset;
	}

	& .material-text-field-date {
		margin-top: unset;
		padding-bottom: unset;
		line-height: 1.5;

		/* override Material UI attributes with Bootstrap's */
		& input {
			height: 1.275rem;
			line-height: 1.5;
		}
	}

	&#and-or-label {
		margin-top: 1.4rem;
	}
}

/* making disabled color darker to meet accessibility standards */
.MuiFormControlLabel-label.Mui-disabled,
.MuiFormLabel-root.Mui-disabled,
.MuiIconButton-root.Mui-disabled {
	color: var(--color-disabled);
}
